Subject: RE: su command ?
From: "Chris January" <[email-masked]>
To: "Lars Munch" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 30 Jan 2003 00:47:55 -0000

> On Tue, Dec 24, 2002 at 01:54:23AM -0000, Chris January wrote:
> >
> > > > 'su' is not implemented in cygwin (yet).  The closest you
> can get now is
> > > > setting up sshd and using 'ssh user@localhost'.  There was
> some talk of
> > > > one of the new packages having that functionality, but you'd
> > > have to read
> > > > the mailing list archives to verify that.
> > > > 	Igor
> > >
> > > Well, actually, I made a search on su, but I didn't get any answer.
> > > Thanks for yours. :-)
> > See here for source and binary. Works on XP only. (Also works
> on Windows 2k,
> > but you can't escalate priveleges - i.e. can't get
> Administrator from normal
> > User account).
> >
> > http://www.doc.ic.ac.uk/~ccj00/twiki/bin/view/Cygwin/CygwinSu
> >
> > Chris
>
> Hi Chris
>
> I have just tried this on Windows XP as Administrator. I tried to su to
> a normal user but got:
>
> su: cannot run /bin/bash: Permission denied
Try chmod 644 /bin/bash. You probably installed Cygwin for "Just Me". Or as
an outside bet you might have been bitten by the change to the Cygwin DLL
that makes ntsec on by default.
It would appear you have successfuly changed users however

Chris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/